> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf-media/untitled/textual-group-stats-for-tournament-group-number-and-round.md).

# Textual group stats for tournament, group number and round

This endpoint returns select stats for the group within the tournament with default written statements describing key event metrics

## E**ndpoint URLs**

[https://dde-api.imggaming.com/golf/default-comments/{tournamentId}/{roundNumber}/{groupNo}/](#endpoint-urls)

**URL Sample:**

[https://dde-api.imggaming.com/golf/default-comments/691/2/1/](#endpoint-urls)

### Required Headers

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

\*Authorization header includes a truncated Bearer token, contact IMG for your auth token if you do not have.

### Request Parameters

This endpoint currently takes no request parameters:

### Response Model

| Field Name        | Type   | Description                                                           |
| ----------------- | ------ | --------------------------------------------------------------------- |
| roundNumber       | int    | The current round of the tournament for this stat                     |
| rank              | int    | The rank of the player for this stat type vs peers in this tournament |
| sentence          | string | A textual sentence describing a key stat metric                       |
| stat\_rank        | int    | The rank of the stat                                                  |
| tournamentId      | int    | The internal ID of the tournament                                     |
| rank\_of\_metrics | int    | Where the metrics sit in terms of ranking                             |
| playerID          | int    | The internal ID of the Player of the current event                    |
| teamNumber        | int    | The internal team number of the group of players                      |

### Sample Response

```
[
  {
    "groupNo": 1,
    "playerId": 65,
    "rank_of_metrics": 4,
    "roundNumber": 2,
    "sentence": "Ranks 10th in Avoiding bunkers",
    "statrank": 10,
    "teamNumber": 129,
    "tournamentId": 691
  },
  {
    "groupNo": 1,
    "playerId": 92,
    "rank_of_metrics": 4,
    "roundNumber": 2,
    "sentence": "Ranks tied 20th in Avoiding bunkers",
    "statrank": 20,
    "teamNumber": 131,
    "tournamentId": 691
  },
  {
    "groupNo": 1,
    "playerId": 5907,
    "rank_of_metrics": 4,
    "roundNumber": 2,
    "sentence": "Ranks 13th in Strokes Gained Around the Green",
    "statrank": 13,
    "teamNumber": 91,
    "tournamentId": 691
  }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/golf-media/untitled/textual-group-stats-for-tournament-group-number-and-round.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
